"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const brokenImage_1 = __importDefault(require("./patches/brokenImage"));
const chrome_1 = __importDefault(require("./patches/chrome"));
const hairline_1 = __importDefault(require("./patches/hairline"));
const language_1 = __importDefault(require("./patches/language"));
const permissions_1 = __importDefault(require("./patches/permissions"));
const plugins_1 = __importDefault(require("./patches/plugins"));
// import webdriver from "./patches/webdriver";
const WebGLRenderingContext_1 = __importDefault(require("./patches/WebGLRenderingContext"));
//patches based on https://intoli.com/blog/not-possible-to-block-chrome-headless/
brokenImage_1.default();
chrome_1.default();
hairline_1.default();
language_1.default();
permissions_1.default();
plugins_1.default();
// webdriver();
WebGLRenderingContext_1.default();
