"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStoreDir = void 0;
const os_1 = require("os");
const mkdirp_1 = __importDefault(require("mkdirp"));
function getStoreDir() {
    const storeDir = `${os_1.homedir()}/.ayakashi`;
    return new Promise(function (resolve, reject) {
        mkdirp_1.default(storeDir, function (err) {
            if (err) {
                reject(err);
            }
            else {
                resolve(storeDir);
            }
        });
    });
}
exports.getStoreDir = getStoreDir;
